WPS8GraphInternal::State Struct Reference

Internal: the state of a WPS8Graph. More...

## Public Member Functions
| State ()

## Public Attributes
int | m_version
| the version
int | m_numPages
| the number page
std::map< int, Border > | m_borderMap
| a map id -> border
std::map< int, WPSEntry > | m_ibgfMap
| a map id -> ibgf entry (background picture entry)
std::map< int, WPSEmbeddedObject > | m_pictMap
| a map id -> pictData
std::map< int, WPSEmbeddedObject > | m_oleMap
| a map id -> OleData

## Detailed Description

Internal: the state of a WPS8Graph.

## Constructor & Destructor Documentation

## ◆ State()

WPS8GraphInternal::State::State | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_borderMap

std::map<int, Border> WPS8GraphInternal::State::m_borderMap

a map id -> border

Referenced by State().

## ◆ m_ibgfMap

std::map<int, WPSEntry> WPS8GraphInternal::State::m_ibgfMap

a map id -> ibgf entry (background picture entry)

Referenced by State().

## ◆ m_numPages

int WPS8GraphInternal::State::m_numPages

the number page

Referenced by State().

## ◆ m_oleMap

std::map<int, WPSEmbeddedObject> WPS8GraphInternal::State::m_oleMap

a map id -> OleData

Referenced by State().

## ◆ m_pictMap

std::map<int, WPSEmbeddedObject> WPS8GraphInternal::State::m_pictMap

a map id -> pictData

Referenced by State().

## ◆ m_version

int WPS8GraphInternal::State::m_version

the version

Referenced by State().

The documentation for this struct was generated from the following file:

- WPS8Graph.cpp